Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Class SVGCSSEngine

    java.lang.Object
      org.apache.batik.css.engine.CSSEngine
          org.apache.batik.css.engine.SVGCSSEngine

Direct Known Subclasses:
  SVG12CSSEngine

    public class SVGCSSEngine

extends CSSEngine

This class provides a CSS engine initialized for SVG.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.css.engine.CSSEngine
`CSSEngine.CSSNavigableDocumentHandler, CSSEngine.DocumentAdapter, CSSEngine.DOMAttrModifiedListener, CSSEngine.DOMCharacterDataModifiedListener, CSSEngine.DOMNodeInsertedListener, CSSEngine.DOMNodeRemovedListener, CSSEngine.DOMSubtreeModifiedListener, CSSEngine.MainPropertyReceiver, CSSEngine.StyleDeclarationBuilder, CSSEngine.StyleDeclarationDocumentHandler, CSSEngine.StyleDeclarationUpdateHandler, CSSEngine.StyleSheetDocumentHandler`

Field Summary
`static int` | `ALIGNMENT_BASELINE_INDEX`
`static int` | `BASELINE_SHIFT_INDEX`
`static int` | `CLIP_INDEX`
`static int` | `CLIP_PATH_INDEX`
`static int` | `CLIP_RULE_INDEX`
`static int` | `COLOR_INDEX`
`static int` | `COLOR_INTERPOLATION_FILTERS_INDEX`
`static int` | `COLOR_INTERPOLATION_INDEX`
`static int` | `COLOR_PROFILE_INDEX`
`static int` | `COLOR_RENDERING_INDEX`
`static int` | `CURSOR_INDEX`
`static int` | `DIRECTION_INDEX`
`static int` | `DISPLAY_INDEX`
`static int` | `DOMINANT_BASELINE_INDEX`
`static int` | `ENABLE_BACKGROUND_INDEX`
`static int` | `FILL_INDEX`
`static int` | `FILL_OPACITY_INDEX`
`static int` | `FILL_RULE_INDEX`
`static int` | `FILTER_INDEX`
`static int` | `FINAL_INDEX`
`static int` | `FLOOD_COLOR_INDEX`
`static int` | `FLOOD_OPACITY_INDEX`
`static int` | `FONT_FAMILY_INDEX`
`static int` | `FONT_SIZE_ADJUST_INDEX`
`static int` | `FONT_SIZE_INDEX`
`static int` | `FONT_STRETCH_INDEX`
`static int` | `FONT_STYLE_INDEX`
`static int` | `FONT_VARIANT_INDEX`
`static int` | `FONT_WEIGHT_INDEX`
`static int` | `GLYPH_ORIENTATION_HORIZONTAL_INDEX`
`static int` | `GLYPH_ORIENTATION_VERTICAL_INDEX`
`static int` | `IMAGE_RENDERING_INDEX`
`static int` | `KERNING_INDEX`
`static int` | `LETTER_SPACING_INDEX`
`static int` | `LIGHTING_COLOR_INDEX`
`static int` | `MARKER_END_INDEX`
`static int` | `MARKER_MID_INDEX`
`static int` | `MARKER_START_INDEX`
`static int` | `MASK_INDEX`
`static int` | `OPACITY_INDEX`
`static int` | `OVERFLOW_INDEX`
`static int` | `POINTER_EVENTS_INDEX`
`static int` | `SHAPE_RENDERING_INDEX`
`static int` | `SRC_INDEX`
`static int` | `STOP_COLOR_INDEX`
`static int` | `STOP_OPACITY_INDEX`
`static int` | `STROKE_DASHARRAY_INDEX`
`static int` | `STROKE_DASHOFFSET_INDEX`
`static int` | `STROKE_INDEX`
`static int` | `STROKE_LINECAP_INDEX`
`static int` | `STROKE_LINEJOIN_INDEX`
`static int` | `STROKE_MITERLIMIT_INDEX`
`static int` | `STROKE_OPACITY_INDEX`
`static int` | `STROKE_WIDTH_INDEX`
`static ShorthandManager[]` | `SVG_SHORTHAND_MANAGERS` The shorthand managers for SVG.
`static ValueManager[]` | `SVG_VALUE_MANAGERS` The value managers for SVG.
`static int` | `TEXT_ANCHOR_INDEX`
`static int` | `TEXT_DECORATION_INDEX`
`static int` | `TEXT_RENDERING_INDEX`
`static int` | `UNICODE_BIDI_INDEX`
`static int` | `VISIBILITY_INDEX`
`static int` | `WORD_SPACING_INDEX`
`static int` | `WRITING_MODE_INDEX`

Fields inherited from class org.apache.batik.css.engine.CSSEngine
`ALL_PROPERTIES, alternateStyleSheet, classLocalName, classNamespaceURI, colorIndex, cssBaseURI, cssConditionFactory, cssContext, cssNavigableDocumentListener, document, documentURI, domAttrModifiedListener, domCharacterDataModifiedListener, domNodeInsertedListener, domNodeRemovedListener, domSubtreeModifiedListener, element, fontFaces, fontSizeIndex, indexes, isCSSNavigableDocument, lineHeightIndex, LISTENER_ARRAY, listeners, media, nonCSSPresentationalHints, nonCSSPresentationalHintsNamespaceURI, parser, pseudoElementNames, removedStylableElementSibling, selectorAttributes, shorthandIndexes, shorthandManagers, styleDeclarationBuilder, styleDeclarationDocumentHandler, styleDeclarationUpdateHandler, styleLocalName, styleNamespaceURI, styleSheetDocumentHandler, styleSheetNodes, styleSheetRemoved, userAgent, userAgentStyleSheet, userStyleSheet, valueManagers`

Constructor Summary
`` | `SVGCSSEngine(Document doc, ParsedURL uri, ExtendedParser p, CSSContext ctx)` Creates a new SVGCSSEngine.
`` | `SVGCSSEngine(Document doc, ParsedURL uri, ExtendedParser p, ValueManager[] vms, ShorthandManager[] sms, CSSContext ctx)` Creates a new SVGCSSEngine.
`protected` | `SVGCSSEngine(Document doc, ParsedURL uri, ExtendedParser p, ValueManager[] vms, ShorthandManager[] sms, String[] pe, String sns, String sln, String cns, String cln, boolean hints, String hintsNS, CSSContext ctx)`

Method Summary
`protected static ShorthandManager[]` | `mergeArrays(ShorthandManager[] a1, ShorthandManager[] a2)` Merges the given arrays.
`protected static ValueManager[]` | `mergeArrays(ValueManager[] a1, ValueManager[] a2)` Merges the given arrays.

Methods inherited from class org.apache.batik.css.engine.CSSEngine
`addCSSEngineListener, addEventListeners, addMatchingRules, addRules, dispose, disposeStyleMaps, findSelectorAttributes, findStyleSheetNodes, firePropertiesChangedEvent, getCascadedStyleMap, getColorIndex, getComputedStyle, getCSSBaseURI, getCSSContext, getCSSEngineUserAgent, getCSSFirstChild, getCSSNextSibling, getCSSParentNode, getCSSPreviousSibling, getDocument, getFontFaces, getFontSizeIndex, getLineHeightIndex, getNumberOfProperties, getParentCSSStylableElement, getPropertyIndex, getPropertyName, getShorthandIndex, getShorthandManagers, getStyleSheetNodes, getValueManagers, handleAttrModified, handleCharacterDataModified, handleNodeInserted, handleNodeRemoved, handleSubtreeModified, hasStyleSheetNode, importCascadedStyleMaps, inlineStyleAttributeUpdated, invalidateProperties, mediaMatch, nonCSSPresentationalHintUpdated, parsePropertyValue, parseStyleDeclaration, parseStyleSheet, parseStyleSheet, parseStyleSheet, parseStyleSheet, parseStyleSheet, parseStyleSheet, propagateChanges, putAuthorProperty, removeCSSEngineListener, removeEventListeners, setAlternateStyleSheet, setCSSEngineUserAgent, setMainProperties, setMedia, setUserAgentStyleSheet, setUserStyleSheet, sortRules`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SVG_VALUE_MANAGERS

    public static final ValueManager[] SVG_VALUE_MANAGERS

  The value managers for SVG.

### SVG_SHORTHAND_MANAGERS

    public static final ShorthandManager[] SVG_SHORTHAND_MANAGERS

  The shorthand managers for SVG.

### ALIGNMENT_BASELINE_INDEX

    public static final int ALIGNMENT_BASELINE_INDEX

See Also:
  Constant Field Values

### BASELINE_SHIFT_INDEX

    public static final int BASELINE_SHIFT_INDEX

See Also:
  Constant Field Values

### CLIP_INDEX

    public static final int CLIP_INDEX

See Also:
  Constant Field Values

### CLIP_PATH_INDEX

    public static final int CLIP_PATH_INDEX

See Also:
  Constant Field Values

### CLIP_RULE_INDEX

    public static final int CLIP_RULE_INDEX

See Also:
  Constant Field Values

### COLOR_INDEX

    public static final int COLOR_INDEX

See Also:
  Constant Field Values

### COLOR_INTERPOLATION_INDEX

    public static final int COLOR_INTERPOLATION_INDEX

See Also:
  Constant Field Values

### COLOR_INTERPOLATION_FILTERS_INDEX

    public static final int COLOR_INTERPOLATION_FILTERS_INDEX

See Also:
  Constant Field Values

### COLOR_PROFILE_INDEX

    public static final int COLOR_PROFILE_INDEX

See Also:
  Constant Field Values

### COLOR_RENDERING_INDEX

    public static final int COLOR_RENDERING_INDEX

See Also:
  Constant Field Values

### CURSOR_INDEX

    public static final int CURSOR_INDEX

See Also:
  Constant Field Values

### DIRECTION_INDEX

    public static final int DIRECTION_INDEX

See Also:
  Constant Field Values

### DISPLAY_INDEX

    public static final int DISPLAY_INDEX

See Also:
  Constant Field Values

### DOMINANT_BASELINE_INDEX

    public static final int DOMINANT_BASELINE_INDEX

See Also:
  Constant Field Values

### ENABLE_BACKGROUND_INDEX

    public static final int ENABLE_BACKGROUND_INDEX

See Also:
  Constant Field Values

### FILL_INDEX

    public static final int FILL_INDEX

See Also:
  Constant Field Values

### FILL_OPACITY_INDEX

    public static final int FILL_OPACITY_INDEX

See Also:
  Constant Field Values

### FILL_RULE_INDEX

    public static final int FILL_RULE_INDEX

See Also:
  Constant Field Values

### FILTER_INDEX

    public static final int FILTER_INDEX

See Also:
  Constant Field Values

### FLOOD_COLOR_INDEX

    public static final int FLOOD_COLOR_INDEX

See Also:
  Constant Field Values

### FLOOD_OPACITY_INDEX

    public static final int FLOOD_OPACITY_INDEX

See Also:
  Constant Field Values

### FONT_FAMILY_INDEX

    public static final int FONT_FAMILY_INDEX

See Also:
  Constant Field Values

### FONT_SIZE_INDEX

    public static final int FONT_SIZE_INDEX

See Also:
  Constant Field Values

### FONT_SIZE_ADJUST_INDEX

    public static final int FONT_SIZE_ADJUST_INDEX

See Also:
  Constant Field Values

### FONT_STRETCH_INDEX

    public static final int FONT_STRETCH_INDEX

See Also:
  Constant Field Values

### FONT_STYLE_INDEX

    public static final int FONT_STYLE_INDEX

See Also:
  Constant Field Values

### FONT_VARIANT_INDEX

    public static final int FONT_VARIANT_INDEX

See Also:
  Constant Field Values

### FONT_WEIGHT_INDEX

    public static final int FONT_WEIGHT_INDEX

See Also:
  Constant Field Values

### GLYPH_ORIENTATION_HORIZONTAL_INDEX

    public static final int GLYPH_ORIENTATION_HORIZONTAL_INDEX

See Also:
  Constant Field Values

### GLYPH_ORIENTATION_VERTICAL_INDEX

    public static final int GLYPH_ORIENTATION_VERTICAL_INDEX

See Also:
  Constant Field Values

### IMAGE_RENDERING_INDEX

    public static final int IMAGE_RENDERING_INDEX

See Also:
  Constant Field Values

### KERNING_INDEX

    public static final int KERNING_INDEX

See Also:
  Constant Field Values

### LETTER_SPACING_INDEX

    public static final int LETTER_SPACING_INDEX

See Also:
  Constant Field Values

### LIGHTING_COLOR_INDEX

    public static final int LIGHTING_COLOR_INDEX

See Also:
  Constant Field Values

### MARKER_END_INDEX

    public static final int MARKER_END_INDEX

See Also:
  Constant Field Values

### MARKER_MID_INDEX

    public static final int MARKER_MID_INDEX

See Also:
  Constant Field Values

### MARKER_START_INDEX

    public static final int MARKER_START_INDEX

See Also:
  Constant Field Values

### MASK_INDEX

    public static final int MASK_INDEX

See Also:
  Constant Field Values

### OPACITY_INDEX

    public static final int OPACITY_INDEX

See Also:
  Constant Field Values

### OVERFLOW_INDEX

    public static final int OVERFLOW_INDEX

See Also:
  Constant Field Values

### POINTER_EVENTS_INDEX

    public static final int POINTER_EVENTS_INDEX

See Also:
  Constant Field Values

### SRC_INDEX

    public static final int SRC_INDEX

See Also:
  Constant Field Values

### SHAPE_RENDERING_INDEX

    public static final int SHAPE_RENDERING_INDEX

See Also:
  Constant Field Values

### STOP_COLOR_INDEX

    public static final int STOP_COLOR_INDEX

See Also:
  Constant Field Values

### STOP_OPACITY_INDEX

    public static final int STOP_OPACITY_INDEX

See Also:
  Constant Field Values

### STROKE_INDEX

    public static final int STROKE_INDEX

See Also:
  Constant Field Values

### STROKE_DASHARRAY_INDEX

    public static final int STROKE_DASHARRAY_INDEX

See Also:
  Constant Field Values

### STROKE_DASHOFFSET_INDEX

    public static final int STROKE_DASHOFFSET_INDEX

See Also:
  Constant Field Values

### STROKE_LINECAP_INDEX

    public static final int STROKE_LINECAP_INDEX

See Also:
  Constant Field Values

### STROKE_LINEJOIN_INDEX

    public static final int STROKE_LINEJOIN_INDEX

See Also:
  Constant Field Values

### STROKE_MITERLIMIT_INDEX

    public static final int STROKE_MITERLIMIT_INDEX

See Also:
  Constant Field Values

### STROKE_OPACITY_INDEX

    public static final int STROKE_OPACITY_INDEX

See Also:
  Constant Field Values

### STROKE_WIDTH_INDEX

    public static final int STROKE_WIDTH_INDEX

See Also:
  Constant Field Values

### TEXT_ANCHOR_INDEX

    public static final int TEXT_ANCHOR_INDEX

See Also:
  Constant Field Values

### TEXT_DECORATION_INDEX

    public static final int TEXT_DECORATION_INDEX

See Also:
  Constant Field Values

### TEXT_RENDERING_INDEX

    public static final int TEXT_RENDERING_INDEX

See Also:
  Constant Field Values

### UNICODE_BIDI_INDEX

    public static final int UNICODE_BIDI_INDEX

See Also:
  Constant Field Values

### VISIBILITY_INDEX

    public static final int VISIBILITY_INDEX

See Also:
  Constant Field Values

### WORD_SPACING_INDEX

    public static final int WORD_SPACING_INDEX

See Also:
  Constant Field Values

### WRITING_MODE_INDEX

    public static final int WRITING_MODE_INDEX

See Also:
  Constant Field Values

### FINAL_INDEX

    public static final int FINAL_INDEX

See Also:
  Constant Field Values

Constructor Detail

### SVGCSSEngine

    public SVGCSSEngine(Document doc,
                        ParsedURL uri,
                        ExtendedParser p,
                        CSSContext ctx)

  Creates a new SVGCSSEngine.

  Parameters:
    `doc` - The associated document.
    `uri` - The document URI.
    `p` - The CSS parser to use.
    `ctx` - The CSS context.

### SVGCSSEngine

    public SVGCSSEngine(Document doc,
                        ParsedURL uri,
                        ExtendedParser p,
                        ValueManager[] vms,
                        ShorthandManager[] sms,
                        CSSContext ctx)

  Creates a new SVGCSSEngine.

  Parameters:
    `doc` - The associated document.
    `uri` - The document URI.
    `p` - The CSS parser to use.
    `vms` - Extension value managers.
    `sms` - Extension shorthand managers.
    `ctx` - The CSS context.

### SVGCSSEngine

    protected SVGCSSEngine(Document doc,
                           ParsedURL uri,
                           ExtendedParser p,
                           ValueManager[] vms,
                           ShorthandManager[] sms,
                           String[] pe,
                           String sns,
                           String sln,
                           String cns,
                           String cln,
                           boolean hints,
                           String hintsNS,
                           CSSContext ctx)

Method Detail

### mergeArrays

    protected static ValueManager[] mergeArrays(ValueManager[] a1,
                                                ValueManager[] a2)

  Merges the given arrays.

### mergeArrays

    protected static ShorthandManager[] mergeArrays(ShorthandManager[] a1,
                                                    ShorthandManager[] a2)

  Merges the given arrays.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.